Subject: Re: [PATCH v2 1/3] Move the user-facing test library to test-lib-functions.sh

From: Thomas Rast <[email-masked]>
Date: Fri, 17 Feb 2012 10:00:07 +0100

Junio C Hamano <[email-masked]> writes:

> Thomas Rast <[email-masked]> writes:
>
>> This just moves all the user-facing functions to a separate file and
>> sources that instead.
>>
>> Signed-off-by: Thomas Rast <[email-masked]>
>> ---
>>  t/test-lib-functions.sh |  835 +++++++++++++++++++++++++++++++++++++++++++++++
>>  t/test-lib.sh           |  552 +-------------------------------
>>  2 files changed, 840 insertions(+), 547 deletions(-)
>>  create mode 100644 t/test-lib-functions.sh
>
> I would have expected from the log description that the number of deleted
> lines would be about the same as the number of added lines, and the
> difference would primarily come from the addition of "include" aka "dot"
> ". ./test-lib-functions.sh" that becomes necessary in t/test-lib.sh, some
> boilerplate material at the beginning of the new file e.g. "#!/bin/sh",
> and copying (not moving) the same Copyright block to the new file.
>
> But 835-552 = 283 feels way way more than that.  What else is going on?

Hum, you're right.  I checked with blame -C -C that I introduced no new
lines, but I must accidentally have duplicated parts of it during
conflict resolution.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch